<?php
/**
 *
 * @package phpBB Extension - Arabic Month names
 * @copyright (c) 2017 Saeed@hubaishan.com
 *
 */
namespace hubaishan\arabicmonthnames;

/**
 * @ignore
 */

class ext extends \phpbb\extension\base
{
	/**
	 * Enable extension if phpBB minimum version requirement is met
	 *
	 *
	 * @return bool
	 * @access public
	 */
	const REQ_VERSION = '3.1.4';
	public function is_enableable()
	{
		$ret = true;
		$config = $this->container->get('config');
		$ar_installed = $this->is_arabic_lang_installed();
		$phpbb_ver_ok = phpbb_version_compare($config['version'], $this::REQ_VERSION, '>=');
		$ret = $ar_installed && $phpbb_ver_ok;
		
		if (!$ret)
		{
			$str_error = 'Can\'t install extension in case of:';
			
			if (!$ar_installed) 
			{
				$str_error .= '<br>Arabic Language pack not installed';
			}

			if (!$phpbb_ver_ok)
			{
				$str_error .= '<br>phpBB version must be '. $this::REQ_VERSION . ' or above';
			}
			trigger_error($str_error , E_USER_WARNING);
			
		}
		
		return $ret;
	}
	
	private function is_arabic_lang_installed()
	{
		global $db;
		$ret = false;
		$sql = 'SELECT lang_iso FROM ' . LANG_TABLE . ' WHERE lang_iso = \'ar\'';
		$result = $db->sql_query($sql);
		
		while ($row = $db->sql_fetchrow($result))
		{
			$ret=true;
		}
		
		$db->sql_freeresult($result);
		
		return $ret;
		
	}
}
