<?php

/**
 *
 * @package phpBB Extension - Arabic Month names
 * @copyright (c) 2017 Saeed@hubaishan.com
 *
 */

namespace hubaishan\arabicmonthnames\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['ar_month_names_version']) && version_compare($this->config['ar_month_names_version'], '1.0.0', '>=');
	}
	
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314');
	}
	
	public function update_schema()
	{
		return array(
			'add_columns'    => array(
				$this->table_prefix . 'users' => array(
					'user_ar_month_names'          => array('USINT', 0),
				),
			),
		);
	}
	
	public function revert_schema()
	{
		return array(
			'drop_columns'    => array(
				$this->table_prefix . 'users' => array(
					'user_ar_month_names',
				),
			),
		);
	}
	
	public function update_data()
	{
		return array(
			array('config.add', array('ar_month_names_version', '1.0.0')),
			array('config.add', array('ar_month_names', 1)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('ar_month_names_version')),
			array('config.remove', array('ar_month_names')),
		);
	}
	
}